#
# spec file for package python-pytest-filter-subpackage
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python3-%{**}}
%define skip_python2 1
%define skip_python36 1
Name:           python-pytest-filter-subpackage
Version:        0.1.1
Release:        bp156.4.1
Summary:        Pytest plugin for filtering based on sub-packages
License:        BSD-3-Clause
URL:            https://github.com/astropy/pytest-filter-subpackage
Source:         https://files.pythonhosted.org/packages/source/p/pytest-filter-subpackage/pytest-filter-subpackage-%{version}.tar.gz
# PATCH-FIX-UPSTREAM -- fix gh#astropy/pytest-filter-subpackage#3
Patch0:         fix-doctestplus-count.patch
BuildRequires:  %{python_module pytest >= 3.0}
# Patch0 is for the change from doctestplus 0.5 to 0.6
BuildRequires:  %{python_module pytest-doctestplus >= 0.6}
BuildRequires:  %{python_module setuptools >= 30.3}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 3.0
BuildArch:      noarch
%python_subpackages

%description
This package contains a simple plugin for the pytest framework that provides a
shortcut to testing all code and documentation for a given sub-package.

%prep
%autosetup -p1 -n pytest-filter-subpackage-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# don't error on obs resource warnings
sed -i '/^\s*error/ a \    ignore::ResourceWarning' setup.cfg
%pytest

%files %{python_files}
%doc README.rst CHANGES.rst
%license LICENSE.rst
%{python_sitelib}/pytest_filter_subpackage
%{python_sitelib}/pytest_filter_subpackage-%{version}*-info

%changelog
* Fri Oct 22 2021 Ben Greiner <code@bnavigator.de>
- disable python36 build: pytest-doctestplus dropped support
* Fri Apr 16 2021 Ben Greiner <code@bnavigator.de>
- Fix test suite: Don't error on OBS resource warnings
* Wed Dec  9 2020 Benjamin Greiner <code@bnavigator.de>
- Fix test failure gh#astropy/pytest-filter-subpackage#3
  fix-doctestplus-count.patch
* Mon Mar 16 2020 Tomáš Chvátal <tchvatal@suse.com>
- New package, needed by pytest-astropy
